Subject: Re: [PATCH] test-lib: make '--stress' more bisect-friendly

From: SZEDER Gábor <[email-masked]>
Date: Fri, 8 Feb 2019 19:33:07 +0100

On Fri, Feb 08, 2019 at 11:49:37AM -0500, Jeff King wrote:
>   One other thing I've noticed with it: I forget to add my custom
>   --root=/var/ram/git-tests when I invoke it, so my hard disk goes
>   crazy (and the tests often run slower!). I'm not sure if there's a
>   convenient fix.

OTOH, that could introduce more variance in the timing of the test's
commands, thus potentially increasing the chances of a failure.  I
dunno.

Maybe ./t1234-foo.sh should learn to respect DEFAULT_TEST_OPTS
somehow?